Index: LMDZ4/branches/pre_V3/libf/dyn3d/fluxstokenc.F
===================================================================
--- LMDZ4/branches/pre_V3/libf/dyn3d/fluxstokenc.F	(revision 701)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/fluxstokenc.F	(revision 701)
@@ -0,0 +1,162 @@
+      SUBROUTINE fluxstokenc(pbaru,pbarv,masse,teta,phi,phis,
+     . time_step,itau )
+
+       USE IOIPSL
+c
+c     Auteur :  F. Hourdin
+c
+c
+ccc   ..   Modif. P. Le Van  ( 20/12/97 )  ...
+c
+      IMPLICIT NONE
+c
+#include "dimensions.h"
+#include "paramet.h"
+#include "comconst.h"
+#include "comvert.h"
+#include "comgeom.h"
+#include "tracstoke.h"
+#include "temps.h"
+
+      REAL time_step,t_wrt, t_ops
+      REAL pbaru(ip1jmp1,llm),pbarv(ip1jm,llm)
+      REAL masse(ip1jmp1,llm),teta(ip1jmp1,llm),phi(ip1jmp1,llm)
+      REAL phis(ip1jmp1)
+
+      REAL pbaruc(ip1jmp1,llm),pbarvc(ip1jm,llm)
+      REAL massem(ip1jmp1,llm),tetac(ip1jmp1,llm),phic(ip1jmp1,llm)
+
+      REAL pbarug(ip1jmp1,llm),pbarvg(iip1,jjm,llm),wg(ip1jmp1,llm)
+
+      REAL pbarvst(iip1,jjp1,llm),zistdyn
+	real dtcum
+
+      INTEGER iadvtr,ndex(1) 
+      integer nscal
+      real tst(1),ist(1),istp(1)
+      INTEGER ij,l,irec,i,j,itau
+      INTEGER, SAVE :: fluxid, fluxvid,fluxdid
+ 
+      SAVE iadvtr, massem,pbaruc,pbarvc,irec
+      SAVE phic,tetac
+      logical first
+      save first
+      data first/.true./
+      DATA iadvtr/0/
+
+
+c AC initialisations
+      pbarug(:,:)   = 0.
+      pbarvg(:,:,:) = 0.
+      wg(:,:)       = 0.
+      
+
+      if(first) then
+
+	CALL initfluxsto( 'fluxstoke',
+     .  time_step,istdyn* time_step,istdyn* time_step,
+     . nqmx, fluxid,fluxvid,fluxdid) 
+	
+	ndex(1) = 0
+        call histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
+        call histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
+	
+	ndex(1) = 0
+        nscal = 1
+        tst(1) = time_step
+        call histwrite(fluxdid, 'dtvr', 1, tst, nscal, ndex)
+        ist(1)=istdyn
+        call histwrite(fluxdid, 'istdyn', 1, ist, nscal, ndex)
+        istp(1)= istphy
+        call histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
+	
+	first = .false.
+
+      endif
+
+
+      IF(iadvtr.EQ.0) THEN
+         CALL initial0(ijp1llm,phic)
+         CALL initial0(ijp1llm,tetac)
+         CALL initial0(ijp1llm,pbaruc)
+         CALL initial0(ijmllm,pbarvc)
+      ENDIF
+
+c   accumulation des flux de masse horizontaux
+      DO l=1,llm
+         DO ij = 1,ip1jmp1
+            pbaruc(ij,l) = pbaruc(ij,l) + pbaru(ij,l)
+            tetac(ij,l) = tetac(ij,l) + teta(ij,l)
+            phic(ij,l) = phic(ij,l) + phi(ij,l)
+         ENDDO
+         DO ij = 1,ip1jm
+            pbarvc(ij,l) = pbarvc(ij,l) + pbarv(ij,l)
+         ENDDO
+      ENDDO
+
+c   selection de la masse instantannee des mailles avant le transport.
+      IF(iadvtr.EQ.0) THEN
+         CALL SCOPY(ip1jmp1*llm,masse,1,massem,1)
+      ENDIF
+
+      iadvtr   = iadvtr+1
+
+
+c   Test pour savoir si on advecte a ce pas de temps
+      IF ( iadvtr.EQ.istdyn ) THEN
+c    normalisation
+      DO l=1,llm
+         DO ij = 1,ip1jmp1
+            pbaruc(ij,l) = pbaruc(ij,l)/float(istdyn)
+            tetac(ij,l) = tetac(ij,l)/float(istdyn)
+            phic(ij,l) = phic(ij,l)/float(istdyn)
+         ENDDO
+         DO ij = 1,ip1jm
+            pbarvc(ij,l) = pbarvc(ij,l)/float(istdyn)
+         ENDDO
+      ENDDO
+
+c   traitement des flux de masse avant advection.
+c     1. calcul de w
+c     2. groupement des mailles pres du pole.
+
+        CALL groupe( massem, pbaruc,pbarvc, pbarug,pbarvg,wg )
+
+        do l=1,llm
+           do j=1,jjm
+              do i=1,iip1
+                 pbarvst(i,j,l)=pbarvg(i,j,l)
+              enddo
+           enddo
+           do i=1,iip1
+              pbarvst(i,jjp1,l)=0.
+           enddo
+        enddo
+
+         iadvtr=0
+	Print*,'ITAU auqel on stoke les fluxmasses',itau
+	
+	call histwrite(fluxid, 'masse', itau, massem,
+     .               iip1*jjp1*llm, ndex)
+	
+	call histwrite(fluxid, 'pbaru', itau, pbarug,
+     .               iip1*jjp1*llm, ndex)
+	
+	call histwrite(fluxvid, 'pbarv', itau, pbarvg,
+     .               iip1*jjm*llm, ndex)
+	
+        call histwrite(fluxid, 'w' ,itau, wg, 
+     .             iip1*jjp1*llm, ndex) 
+	
+	call histwrite(fluxid, 'teta' ,itau, tetac, 
+     .             iip1*jjp1*llm, ndex) 
+	
+	call histwrite(fluxid, 'phi' ,itau, phic, 
+     .             iip1*jjp1*llm, ndex) 
+	
+C
+
+      ENDIF ! if iadvtr.EQ.istdyn
+
+      RETURN
+      END
Index: LMDZ4/branches/pre_V3/libf/dyn3d/fxhyp.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/fxhyp.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/fxhyp.F	(revision 701)
@@ -4,5 +4,5 @@
 c
 c
-       SUBROUTINE fxhyp ( xzoomdeg,grossism,dzoom,tau ,
+       SUBROUTINE fxhyp ( xzoomdeg,grossism,dzooma,tau ,
      , rlonm025,xprimm025,rlonv,xprimv,rlonu,xprimu,rlonp025,xprimp025,
      , champmin,champmax                                               )
@@ -38,5 +38,5 @@
 c     ......  arguments  d'entree   .......
 c
-       REAL xzoomdeg,dzoom,tau,grossism
+       REAL xzoomdeg,dzooma,tau,grossism
 
 c    ......   arguments  de  sortie  ......
@@ -47,4 +47,5 @@
 c     .... variables locales  ....
 c
+       REAL   dzoom
        REAL*8 xlon(iip1),xprimm(iip1),xuv
        REAL*8 xtild(0:nmax2)
@@ -74,12 +75,12 @@
        WRITE(6,*) 'FXHYP scal180,decalx', scal180,decalx
 c
-       IF( dzoom.LT.1.)  THEN
-         dzoom = dzoom * depi
-       ELSEIF( dzoom.LT. 25. ) THEN
-         WRITE(6,*) ' Le param. dzoomy pour fxhyp est trop petit ! L aug
+       IF( dzooma.LT.1.)  THEN
+         dzoom = dzooma * depi
+       ELSEIF( dzooma.LT. 25. ) THEN
+         WRITE(6,*) ' Le param. dzoomx pour fxhyp est trop petit ! L aug
      ,menter et relancer ! '
          STOP 1
        ELSE
-         dzoom = dzoom * pi/180.
+         dzoom = dzooma * pi/180.
        ENDIF
 
Index: LMDZ4/branches/pre_V3/libf/dyn3d/fyhyp.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/fyhyp.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/fyhyp.F	(revision 701)
@@ -4,5 +4,5 @@
 c
 c
-       SUBROUTINE fyhyp ( yzoomdeg, grossism, dzoom,tau  ,  
+       SUBROUTINE fyhyp ( yzoomdeg, grossism, dzooma,tau  ,  
      ,  rrlatu,yyprimu,rrlatv,yyprimv,rlatu2,yprimu2,rlatu1,yprimu1 ,
      ,  champmin,champmax                                            ) 
@@ -37,5 +37,5 @@
 c     .......  arguments  d'entree    .......
 c
-       REAL yzoomdeg, grossism,dzoom,tau 
+       REAL yzoomdeg, grossism,dzooma,tau 
 c         ( rentres  par  run.def )
 
@@ -49,4 +49,5 @@
 c
      
+       REAL   dzoom
        REAL*8 ylat(jjp1), yprim(jjp1)
        REAL*8 yuv
@@ -78,12 +79,12 @@
        y0       =  yzoomdeg * pi/180. 
 
-       IF( dzoom.LT.1.)  THEN
-         dzoom = dzoom * pi
-       ELSEIF( dzoom.LT. 12. ) THEN
+       IF( dzooma.LT.1.)  THEN
+         dzoom = dzooma * pi
+       ELSEIF( dzooma.LT. 12. ) THEN
          WRITE(6,*) ' Le param. dzoomy pour fyhyp est trop petit ! L aug
      ,menter et relancer ! '
          STOP 1
        ELSE
-         dzoom = dzoom * pi/180.
+         dzoom = dzooma * pi/180.
        ENDIF
 
Index: LMDZ4/branches/pre_V3/libf/dyn3d/gcm.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/gcm.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/gcm.F	(revision 701)
@@ -56,6 +56,5 @@
 #include "com_io_dyn.h"
 #include "iniprint.h"
-
-c#include "tracstoke.h"
+#include "tracstoke.h"
 
 
@@ -113,12 +112,6 @@
       REAL      d_h_vcol, d_qt, d_qw, d_ql, d_ec
       CHARACTER*15 ztit
-      INTEGER   ip_ebil_dyn  ! PRINT level for energy conserv. diag.
-      SAVE      ip_ebil_dyn
-      DATA      ip_ebil_dyn/0/
 c-jld 
 
-
-      LOGICAL offline  ! Controle du stockage ds "fluxmass"
-      PARAMETER (offline=.false.)
 
       character*80 dynhist_file, dynhistave_file
@@ -368,4 +361,11 @@
 #endif
 
+c  Choix des frequences de stokage pour le offline
+c      istdyn=day_step/4     ! stockage toutes les 6h=1jour/4
+c      istdyn=day_step/12     ! stockage toutes les 2h=1jour/12
+      istdyn=day_step/4     ! stockage toutes les 6h=1jour/12
+      istphy=istdyn/iphysiq     
+
+
 c
 c-----------------------------------------------------------------------
@@ -380,5 +380,6 @@
 
 
-      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,nq,q,clesphy0)
+      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,nq,q,clesphy0,
+     .              time_0)
 
 
Index: LMDZ4/branches/pre_V3/libf/dyn3d/gradsdef.h
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/gradsdef.h	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/gradsdef.h	(revision 701)
@@ -3,5 +3,5 @@
 !
       integer nfmx,imx,jmx,lmx,nvarmx
-      parameter(nfmx=10,imx=200,jmx=150,lmx=20,nvarmx=1000)
+      parameter(nfmx=10,imx=200,jmx=150,lmx=200,nvarmx=1000)
 
       real xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
Index: LMDZ4/branches/pre_V3/libf/dyn3d/grid_noro.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/grid_noro.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/grid_noro.F	(revision 701)
@@ -53,4 +53,5 @@
 c             zval:  Minimum altitude
 C=======================================================================
+
       IMPLICIT INTEGER (I,J)
       IMPLICIT REAL(X,Z) 
@@ -79,4 +80,5 @@
       REAL x(imar+1),y(jmar),zphi(imar+1,jmar)
       REAL zmea(imar+1,jmar),zstd(imar+1,jmar)
+      REAL zmea0(imar+1,jmar) ! GK211005 (CG)
       REAL zsig(imar+1,jmar),zgam(imar+1,jmar),zthe(imar+1,jmar)
       REAL zpic(imar+1,jmar),zval(imar+1,jmar)
@@ -309,4 +311,5 @@
 C  FIRST FILTER, MOVING AVERAGE OVER 9 POINTS.
 
+       zmea0(:,:) = zmea(:,:) ! GK211005 (CG) on sauvegarde la topo non lissee
        CALL MVA9(zmea,iim+1,jjm+1)
        CALL MVA9(zstd,iim+1,jjm+1)
@@ -353,5 +356,8 @@
 c angle theta:
            zthe(ii,jj)=57.29577951*atan2(xm,xl)/2.*mask_tmp(ii,jj)
-           zphi(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
+           ! GK211005 (CG) ne pas forcement lisser la topo
+           ! zphi(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
+           zphi(ii,jj)=zmea0(ii,jj)*mask_tmp(ii,jj)
+           !
            zmea(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
            zpic(ii,jj)=zpic(ii,jj)*mask_tmp(ii,jj)
Index: LMDZ4/branches/pre_V3/libf/dyn3d/grilles_gcm_netcdf.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/grilles_gcm_netcdf.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/grilles_gcm_netcdf.F	(revision 701)
@@ -73,6 +73,6 @@
 
       do i=1,iip1
-         rlonudeg(i)=rlonu(i)*180./pi
-         rlonvdeg(i)=rlonv(i)*180./pi
+         rlonudeg(i)=rlonu(i)*180./pi + 360.
+         rlonvdeg(i)=rlonv(i)*180./pi + 360.
       enddo
 
Index: LMDZ4/branches/pre_V3/libf/dyn3d/guide.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/guide.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/guide.F	(revision 701)
@@ -81,10 +81,10 @@
       INTEGER step_rea,count_no_rea
 
-      real aire_min,aire_max
+cIM 180305   real aire_min,aire_max
       integer ilon,ilat
       real factt,ztau(ip1jmp1)
 
       INTEGER itau,ij,l,i,j
-      integer ncidt,varidpl,nlev,status
+      integer ncidpl,varidpl,nlev,status
       integer rcod,rid 
       real ditau,tau,a
@@ -208,16 +208,32 @@
          step_rea=1
          count_no_rea=0
+         ncidpl=-99
 
 c    itau_test    montre si l'importation a deja ete faite au rang itau
 c lecture d'un fichier netcdf pour determiner le nombre de niveaux
-         ncidt=NCOPN('T.nc',NCNOWRIT,rcod)
+         if (guide_u) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('u.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_v) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('v.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_T) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('T.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_Q) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('hur.nc',NCNOWRIT,rcod)
+         endif
+c
          if (ncep) then
-          status=NF_INQ_DIMID(ncidt,'LEVEL',rid)
+          status=NF_INQ_DIMID(ncidpl,'LEVEL',rid)
          else
-          status=NF_INQ_DIMID(ncidt,'PRESSURE',rid)
-         endif
-          status=NF_INQ_DIMLEN(ncidt,rid,nlev)
+          status=NF_INQ_DIMID(ncidpl,'PRESSURE',rid)
+         endif
+          status=NF_INQ_DIMLEN(ncidpl,rid,nlev)
          print *,'nlev', nlev 
-          call ncclos(ncidt,rcod)
+          call ncclos(ncidpl,rcod)
 c   Lecture du premier etat des reanalyses.
          call read_reanalyse(1,ps
@@ -296,6 +312,4 @@
       tau=tau-aint(tau)
 
-      print*,'ATTENTION !!!! ON NE GUIDE QUE JUSQU A 15N'
-
 c  ucov
       if (guide_u) then
@@ -485,6 +499,9 @@
                zlat=rlatv(j)*180./pi
             endif
+         if (abs(grossismx-1.).lt.0.1.or.abs(grossismy-1.).lt.0.1) then
+c  pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
+             alpha(i,j)=alphamin
+         else
             xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
-c  pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
             xi=min(xi,1.)
             if(lat_min_guide.le.zlat .and. zlat.le.lat_max_guide) then
@@ -493,4 +510,5 @@
                alpha(i,j)=0.
             endif
+         endif
          enddo
       enddo
Index: LMDZ4/branches/pre_V3/libf/dyn3d/ini_paramLMDZ_dyn.h
===================================================================
--- LMDZ4/branches/pre_V3/libf/dyn3d/ini_paramLMDZ_dyn.h	(revision 701)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/ini_paramLMDZ_dyn.h	(revision 701)
@@ -0,0 +1,259 @@
+c
+      dt_cum = dtvr*day_step
+
+      zan = annee_ref
+      dayref = day_ref
+      CALL ymds2ju(zan, 1, dayref, 0.0, zjulian)
+      tau0 = itau_dyn
+c
+       pi = 4.0 * ATAN(1.0)
+       degres = 180./pi
+       rlong = rlonu * degres
+       rlatg = rlatu * degres
+c
+      CALL histbeg("paramLMDZ_dyn.nc", 
+     .                 iip1,rlong, jjp1,rlatg,
+     .                 1,1,1,1,
+     .                 tau0, zjulian, dt_cum,
+     .                 thoriid, nid_ctesGCM)
+c
+         CALL histdef(nid_ctesGCM, "prt_level", 
+     .        "Niveau impression debuggage dynamique",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "dayref", 
+     .        "Jour de l etat initial ( = 350  si 20 Decembre par ex.)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "anneeref", 
+     .        "Annee de l etat initial",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "anneelim", 
+     .        "Annee du fichier limitxxxx.nc  si  ok_limitvrai =y",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "raz_date", 
+     .   "Remise a zero (raz) date init.: 0 pas de raz;1=date gcm.def",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "nday", 
+     .   "Nombre de jours d integration",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "day_step", 
+     .   "nombre de pas par jour pour dt = 1 min",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iperiod", 
+     .   "periode pour le pas Matsuno (en pas de temps)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iapp_tracvl", 
+     .   "frequence du groupement des flux (en pas de temps)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iconser", 
+     .  "periode de sortie des variables de controle (en pas de temps)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iecri", 
+     .  "periode d ecriture du fichier histoire (en jour)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "periodav", 
+     .  "periode de stockage fichier histmoy (en jour)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "idissip", 
+     .  "periode de la dissipation (en pas) ... a completer",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "lstardis", 
+     .  "choix de l operateur de dissipation: 1= star,0=non-star ??",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "nitergdiv", 
+     .  "nombre d iterations de l operateur de dissipation gradiv",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "nitergrot", 
+     .  "nombre d iterations de l operateur de dissipation nxgradrot",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "niterh", 
+     .  "nombre d iterations de l operateur de dissipation divgrad",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "tetagdiv", 
+     ."temps dissipation des + petites long. d ondes pour u,v (gradiv)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "tetagrot", 
+     ."temps diss. des + petites long. d ondes pour u,v (nxgradrot)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "tetatemp", 
+     ."temps diss. des + petites long. d ondes pour h (divgrad)",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "coefdis", 
+     ."coefficient pour gamdissip",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "purmats", 
+     ."Choix schema integration temporel: 1=Matsuno,0=Matsuno-leapfrog",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ok_guide", 
+     ."Guidage: 1=true ,0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "true_calendar", 
+     ."Choix du calendrier: 1=gregorien ,0=calen. a 360 j",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "guide_calend", 
+     ."Guidage calendrier gregorien: 1=oui ,0=non",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iflag_phys", 
+     ."Permet de faire tourner le modele sans physique: 1=avec ,0=sans",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iphysiq", 
+     ."Periode de la physique en pas de temps de la dynamique",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ecritphy", 
+     ."frequence  de l ecriture du fichier histphy en jours",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "cycle_diurne", 
+     ."Avoir un cycle diurne: 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "soil_model", 
+     ."Choix du modele de sol (Thermique ?): 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "new_oliq", 
+     ."Nouvelle eau liquide: 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ok_orodr", 
+     ."Orography drag : 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ok_orolf", 
+     ."Orography lift : 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ok_limitvrai", 
+     ."Force la lecture de la bonne annee: 1=true, 0=false",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "nbapp_rad", 
+     ."Nombre  d appels des routines de rayonnements par jour",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "iflag_con", 
+     ."Flag  pour la convection: 1=LMD, 2=Tiedtke, 3=KE, 4=KE vect.",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "clon", 
+     ."longitude en degres du centre du zoom",
+     .                "deg",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "clat", 
+     ."latitude en degres du centre du zoom",
+     .                "deg",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "grossismx", 
+     ."facteur de grossissement du zoom, selon la longitude",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "grossismy", 
+     ."facteur de grossissement du zoom, selon la latitude",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "fxyhypb", 
+     ."Fonction f(y) hyperbolique  si true=1, sinusoidale si false=0",
+     .                "-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "dzoomx", 
+     ."extension en longitude de la zone du zoom (fraction zone totale)"
+     .                ,"-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "dzoomy", 
+     ."extension en latitude de la zone du zoom (fraction zone totale)"
+     .                ,"-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "taux", 
+     ."raideur du zoom en  X"
+     .                ,"-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "tauy", 
+     ."raideur du zoom en  Y"
+     .                ,"-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ysinus", 
+     ."ysinus=1: Ftion f(y) avec y=Sin(latit.)/ ysinus=0: y = latit"
+     .                ,"-",iip1,jjp1,thoriid, 1,1,1, -99, 32, 
+     .                "once", dt_cum,dt_cum)
+c
+         CALL histdef(nid_ctesGCM, "ip_ebil_dyn", 
+     ."PRINTlevel for energy conservation diag.; 0/1= pas de print,
+     . 2= print","-",iip1,jjp1,thoriid, 1,1,1, -99, 32,
+     .                "once", dt_cum,dt_cum)
+c
+c=================================================================
+c
+         CALL histend(nid_ctesGCM)
+c
+c=================================================================
Index: LMDZ4/branches/pre_V3/libf/dyn3d/iniadvtrac.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/iniadvtrac.F	(revision 525)
+++ LMDZ4/branches/pre_V3/libf/dyn3d/iniadvtrac.F	(revision 701)
@@ -8,4 +8,5 @@
 #ifdef INCA
       USE transport_controls, only : hadv_flg, vadv_flg
+      USE species_names
       USE chemshut
 #endif
@@ -125,25 +126,43 @@
      s     iostat=ierr)
       if(ierr.eq.0) then
-       print*,'ouverture de traceur.def ok'
-       read(90,*) nq
-       print*,'nombre de traceurs ',nq
-       if (nq.gt.nqmx) then
-       print*,'nombre de traceurs trop important'
-       print*,'verifier traceur.def'
-       stop
-       endif
+        print*,'ouverture de traceur.def ok'
+        read(90,*) nq
+        print*,'nombre de traceurs ',nq
+        if (nq.gt.nqmx) then
+          print*,'nombre de traceurs trop important'
+          print*,'verifier traceur.def'
+          stop
+        endif
 C
-       do iq=1,nq
-         read(90,999) hadv(iq),vadv(iq),tnom(iq)
-       end do
-       close(90)  
-       PRINT*,'lecture de traceur.def :'   
-       do iq=1,nq
-         write(*,*) hadv(iq),vadv(iq),tnom(iq)
-       end do       
+        do iq=1,nq
+          read(90,999) hadv(iq),vadv(iq),tnom(iq)
+        end do
+        close(90)  
+        PRINT*,'lecture de traceur.def :'   
+        do iq=1,nq
+          write(*,*) hadv(iq),vadv(iq),tnom(iq)
+        end do       
       else
-       print*,'pb ouverture traceur.def'
-       print*,'ATTENTION on prend des valeurs par defaut'
-      endif
+        print*,'pb ouverture traceur.def'
+        print*,'ATTENTION on prend des valeurs par defaut'
+        nq = 4
+        hadv(1) = 14
+        vadv(1) = 14
+        tnom(1) = 'H2Ov'
+        hadv(2) = 10
+        vadv(2) = 10
+        tnom(2) = 'H2Ol'
+        hadv(3) = 10
+        vadv(3) = 10
+        tnom(3) = 'RN'
+        hadv(4) = 10
+        vadv(4) = 10
+        tnom(4) = 'PB'
+      ENDIF
+      PRINT*,'Valeur de traceur.def :'
+      do iq=1,nq
+        write(*,*) hadv(iq),vadv(iq),tnom(iq)
+      end do       
+
 #endif
 c a partir du nom court du traceur et du schema d'advection au detemine le nom long.
@@ -174,5 +193,9 @@
          str1=tnom(iq)
          tname(iiq)=tnom(iq)
-         ttext(iiq)=str1(1:lnblnk(str1))//descrq(iadv(iiq))
+         IF (iadv(iiq).eq.0) THEN
+           ttext(iiq)=str1(1:lnblnk(str1))
+         ELSE
+           ttext(iiq)=str1(1:lnblnk(str1))//descrq(iadv(iiq))
+         endif
          str2=ttext(iiq)
 c   schemas tenant compte des moments d'ordre superieur.
